View Issue Details

IDProjectCategoryView StatusLast Update
0002984FreeCADBugpublic2018-09-12 16:04
ReporterKunda1Assigned Tokkremitzki 
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0002984: Update the debian folder in FreeCAD
DescriptionContinuation of 0002271 per @sgrogan:
> I think we should close 0002271 as fixed. The debian folder in the FreeCAD sources is only tangentially related. We don't use it for the PPA. I don't think anybody uses it. Ideally we could come up with universal debian folder that would work on both debian and ubuntu, that could be included in the sources. If you want you can open a new issue to update the debian folder in FreeCAD w/low priority and assign it to me.
Tagspackaging

Relationships

related to 0002271 closedsgrogan FreeCAD documentation can't be loaded on Debian/Ubuntu 

Activities

Kunda1

2018-07-03 02:22

manager   ~0011482

punting to kkremitzki

kkremitzki

2018-07-16 04:58

administrator   ~0011533

IMO we should just get rid of the debian folder in our source, and let it live at salsa.debian.org/science-team/freecad. Then we can have various branches for the Ubuntu & Debian packaging in a way that is standard.

wmayer

2018-09-12 16:04

administrator   ~0011721

https://github.com/FreeCAD/FreeCAD/commit/e381e6b739a6b83b5f476546b64569cfa03a4e3a

Issue History

Date Modified Username Field Change
2017-03-25 00:40 Kunda1 New Issue
2017-03-25 00:40 Kunda1 Status new => assigned
2017-03-25 00:40 Kunda1 Assigned To => sgrogan
2017-03-25 00:40 Kunda1 Tag Attached: packaging
2017-03-25 00:40 Kunda1 Relationship added related to 0002271
2017-11-26 22:01 wmayer Target Version 0.17 => 0.18
2018-07-03 02:22 Kunda1 Assigned To sgrogan => kkremitzki
2018-07-03 02:22 Kunda1 Note Added: 0011482
2018-07-16 04:58 kkremitzki Note Added: 0011533
2018-09-12 16:04 wmayer Status assigned => closed
2018-09-12 16:04 wmayer Resolution open => fixed
2018-09-12 16:04 wmayer Fixed in Version => 0.18
2018-09-12 16:04 wmayer Note Added: 0011721